### Constant

# GLib REF_COUNT_INIT

since: 2.0

#### Declaration

    #define G_REF_COUNT_INIT -1

#### Description

Evaluates to the initial reference count for `grefcount`.

This macro is useful for initializing `grefcount` fields inside structures, for instance:

    typedef struct {
      grefcount ref_count;
      char *name;
      char *address;
    } Person;

    static const Person default_person = {
      .ref_count = G_REF_COUNT_INIT,
      .name = "Default name",
      .address = "Default address",
    };

Available since: 2.0